/*
 *  Part of rvminis source code,
 *  Copyright (C) 2000 Alexander Kroeller (alilein@gmx.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef __HELPER_FUNCTIONS_H
#define __HELPER_FUNCTIONS_H

enum FileType
{
  RV_PRM, IM_PRM, Auto
};


bool safe_fread(void *ptr, size_t size, size_t nmemb, FILE *stream, const char *fname);
bool filehastype(const char *fname, const char *suff);

void strcpy_suffix(char *dst, const char *src, const char *newsuff);

FileType filetype(const char *fname);

#endif
